libssh: ssh_callbacks_struct Struct Reference

libssh 0.11.2 The SSH library

Loading...
Searching...
No Matches
ssh_callbacks_struct Struct Reference
The libssh API » The libssh callbacks

`#include <callbacks.h>`

## Data Fields
size_t | size
void * | userdata
ssh_auth_callback | auth_function
ssh_log_callback | log_function
void(* | connect_status_function )(void *userdata, float status)
ssh_global_request_callback | global_request_function
ssh_channel_open_request_x11_callback | channel_open_request_x11_function
ssh_channel_open_request_auth_agent_callback | channel_open_request_auth_agent_function
ssh_channel_open_request_forwarded_tcpip_callback | channel_open_request_forwarded_tcpip_function

## Detailed Description

The structure to replace libssh functions with appropriate callbacks.

## Field Documentation

## ◆ auth_function

ssh_auth_callback ssh_callbacks_struct::auth_function

This functions will be called if e.g. a keyphrase is needed.

## ◆ channel_open_request_auth_agent_function

ssh_channel_open_request_auth_agent_callback ssh_callbacks_struct::channel_open_request_auth_agent_function

This function will be called when an incoming "auth-agent" request is received.

## ◆ channel_open_request_forwarded_tcpip_function

ssh_channel_open_request_forwarded_tcpip_callback ssh_callbacks_struct::channel_open_request_forwarded_tcpip_function

This function will be called when an incoming "forwarded-tcpip" request is received.

## ◆ channel_open_request_x11_function

ssh_channel_open_request_x11_callback ssh_callbacks_struct::channel_open_request_x11_function

This function will be called when an incoming X11 request is received.

## ◆ connect_status_function

void(* ssh_callbacks_struct::connect_status_function) (void *userdata, float status)

This function gets called during connection time to indicate the percentage of connection steps completed.

## ◆ global_request_function

ssh_global_request_callback ssh_callbacks_struct::global_request_function

This function will be called each time a global request is received.

## ◆ log_function

ssh_log_callback ssh_callbacks_struct::log_function

This function will be called each time a loggable event happens.

## ◆ size

size_t ssh_callbacks_struct::size

DON'T SET THIS use ssh_callbacks_init() instead.

## ◆ userdata

void* ssh_callbacks_struct::userdata

User-provided data. User is free to set anything he wants here

The documentation for this struct was generated from the following file:

- callbacks.h